# This needs to be thought through better. Obviously, we need root
# acces for this to work, ie ask pass allowed for the time bootstrap
# tasks are taking place. A temporary window from a fixed location
# makes sense.

# We start from the marketplace shinyproxy images.

- hosts: stations
  become: True
  tasks:
    - name: Update and upgrade the system.
      apt:
        upgrade: yes
        update_cache: yes
        cache_valid_time: 86400
      tags: apt
    - name: Install debian packages.
      apt:
        name: [ 'openssh-server',
                'nscd',
                'curl',
                'wget',
                'gzip',
                'atop',
                'git',
                'gvfs',
                's3fs',
                'openjdk-17-jre-headless',
                'openjdk-17-jdk-headless',
                'docker.io',
                'python3',
                'nginx' ]
      tags: apt
    - name: Pull the isb401 image.
      shell:
        cmd: "docker pull {{ isb401_image }}"
      notify:
        - restart-shinyproxy
    - name: Copy application.yml
      ansible.builtin.copy:
        src: files/etc/shinyproxy/application.yml
        dest: /etc/shinyproxy/application.yml.in
        mode: '0644'
    - name: Copy user.yml
      ansible.builtin.copy:
        src: "{{ inventory_dir }}/../files/etc/shinyproxy/users.yml"
        dest: /etc/shinyproxy/users.yml
        mode: '0644'
    - name: Adapt application.yml
      ansible.builtin.script: "files/scripts/adapt_application.py {{ isb401_image }}"
      args:
        executable: python3
        chdir: /etc/shinyproxy
      notify:
        - restart-shinyproxy
  handlers:
    - name: restart-shinyproxy
      ansible.builtin.service:
        name: shinyproxy
        state: restarted

  
        
